Name: portaudio
Version: 18.1
Release: alt1
Summary: PortAudio is a free, cross platform, open-source, audio I/O library
URL: http://www.portaudio.com/
Group: System/Libraries
License: BSD
Source0: %{name}_v18_1.tar.bz2
Patch0: portaudio_v18_1-libtool.diff
Patch1: portaudio_v18_1-unix_oss.diff
Patch2: portaudio_v18_1-oss_in_only.diff

# Automatically added by buildreq on Sat Oct 22 2005
BuildRequires: gcc-c++ libstdc++-devel

%description
PortAudio is a free, cross platform, open-source, audio I/O 
library. It lets you write simple audio programs in 'C' that will
compile and run on many platforms including Windows, Macintosh 
(8,9,X), Unix (OSS), SGI, and BeOS. PortAudio is intended to
promote the exchange of audio synthesis software between
developers on different platforms, and was recently selected as
the audio component of a larger PortMusic project that includes
MIDI and sound file support. 

PortAudio provides a very simple API for recording and/or playing
sound using a simple callback function. Example programs are 
included that synthesize sine waves and pink noise, perform fuzz
distortion on a guitar, list available audio devices, etc. 

%package -n lib%name
Summary: PortAudio is a free, cross platform, open-source, audio I/O library
Group: System/Libraries

%description -n	lib%name
PortAudio is a free, cross platform, open-source, audio I/O 
library. It lets you write simple audio programs in 'C' that will
compile and run on many platforms including Windows, Macintosh 
(8,9,X), Unix (OSS), SGI, and BeOS. PortAudio is intended to
promote the exchange of audio synthesis software between
developers on different platforms, and was recently selected as
the audio component of a larger PortMusic project that includes
MIDI and sound file support. 

PortAudio provides a very simple API for recording and/or playing
sound using a simple callback function. Example programs are 
included that synthesize sine waves and pink noise, perform fuzz
distortion on a guitar, list available audio devices, etc. 

%package -n lib%name-devel
Summary: Static library and header files for the PortAudio library
Group: Development/C
Requires: lib%name = %version-%release

%description -n	lib%name-devel
PortAudio is a free, cross platform, open-source, audio I/O 
library. It lets you write simple audio programs in 'C' that will
compile and run on many platforms including Windows, Macintosh 
(8,9,X), Unix (OSS), SGI, and BeOS. PortAudio is intended to
promote the exchange of audio synthesis software between
developers on different platforms, and was recently selected as
the audio component of a larger PortMusic project that includes
MIDI and sound file support. 

PortAudio provides a very simple API for recording and/or playing
sound using a simple callback function. Example programs are 
included that synthesize sine waves and pink noise, perform fuzz
distortion on a guitar, list available audio devices, etc. 

This package contains the static PortAudio library and its header
files.

%prep

%setup -q -n %{name}_v18_1

find . -type f | xargs subst 's,\r,,'

%patch0 -p1
%patch1 -p0
%patch2 -p0

%build
%__aclocal
%__autoconf

chmod +x configure

%configure \
	--disable-static

%make_build

%install
%makeinstall

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -n lib%name
%doc LICENSE.txt README.txt
%_libdir/*.so.*

%files -n lib%name-devel
%doc docs/*
%_includedir/*
%_libdir/*.so

%changelog
* Sat Oct 22 2005 Valery Inozemtsev <shrek@altlinux.ru> 18.1-alt1
- initial build for Sisyphus

